# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`dnsclient`](#dnsclient): Manage DNS resolver

## Classes

### <a name="dnsclient"></a>`dnsclient`

This module manages `/etc/resolv.conf`.

#### Parameters

The following parameters are available in the `dnsclient` class:

* [`nameservers`](#-dnsclient--nameservers)
* [`nameserver_limit`](#-dnsclient--nameserver_limit)
* [`options`](#-dnsclient--options)
* [`search`](#-dnsclient--search)
* [`domain`](#-dnsclient--domain)
* [`sortlist`](#-dnsclient--sortlist)
* [`custom_lines`](#-dnsclient--custom_lines)
* [`resolver_config_file`](#-dnsclient--resolver_config_file)
* [`resolver_config_file_ensure`](#-dnsclient--resolver_config_file_ensure)
* [`resolver_config_file_owner`](#-dnsclient--resolver_config_file_owner)
* [`resolver_config_file_group`](#-dnsclient--resolver_config_file_group)
* [`resolver_config_file_mode`](#-dnsclient--resolver_config_file_mode)
* [`resolver_config_backup`](#-dnsclient--resolver_config_backup)

##### <a name="-dnsclient--nameservers"></a>`nameservers`

Data type: `Array[Stdlib::IP::Address]`

Array of nameservers. The default use Google's public name servers.

Default value: `['8.8.8.8', '8.8.4.4']`

##### <a name="-dnsclient--nameserver_limit"></a>`nameserver_limit`

Data type: `Optional[Integer[0]]`

Integer of the number of nameservers to allow in the resolv.conf
NOTE: If 'nameservers' is over this limit, only the first X nameservers will be used where X is set by this limit.
      The nameservers over the limit will be discarded.

Default value: `undef`

##### <a name="-dnsclient--options"></a>`options`

Data type: `Array`

Array of options. Set to `[]` if no options line should be present.

Default value: `['rotate', 'timeout:1']`

##### <a name="-dnsclient--search"></a>`search`

Data type: `Optional[Array[String[1]]]`

Optional array of domains for search list. This is mutually exclusive with `domain`.

Default value: `undef`

##### <a name="-dnsclient--domain"></a>`domain`

Data type: `Optional[Stdlib::Fqdn]`

Optional domain setting. This is mutually exclusive with `search`.

Default value: `undef`

##### <a name="-dnsclient--sortlist"></a>`sortlist`

Data type: `Optional[Array[String[1]]]`

Optional array of sortlist entries

Default value: `undef`

##### <a name="-dnsclient--custom_lines"></a>`custom_lines`

Data type: `Array[String[1]]`

Array of lines that will be added to the end of /etc/resolv.conf

Default value: `[]`

##### <a name="-dnsclient--resolver_config_file"></a>`resolver_config_file`

Data type: `Stdlib::Absolutepath`

Path to resolv.conf

Default value: `'/etc/resolv.conf'`

##### <a name="-dnsclient--resolver_config_file_ensure"></a>`resolver_config_file_ensure`

Data type: `String[1]`

Value of ensure attribute for the /etc/resolv.conf file resource

Default value: `'file'`

##### <a name="-dnsclient--resolver_config_file_owner"></a>`resolver_config_file_owner`

Data type: `String[1]`

User of /etc/resolv.conf

Default value: `'root'`

##### <a name="-dnsclient--resolver_config_file_group"></a>`resolver_config_file_group`

Data type: `String[1]`

Group of /etc/resolv.conf

Default value: `'root'`

##### <a name="-dnsclient--resolver_config_file_mode"></a>`resolver_config_file_mode`

Data type: `Stdlib::Filemode`

Mode of /etc/resolv.conf in octal format

Default value: `'0644'`

##### <a name="-dnsclient--resolver_config_backup"></a>`resolver_config_backup`

Data type: `Optional[Variant[Boolean, String[1]]]`

Sets the 'backup' parameter for /etc/resolv.conf

Default value: `undef`

